Getting started
Get external database access
Read external connection settings such as host, port and whether access is enabled. This does not return a password.
GET
/api/customer/v1/projects/{projectId}/databases/{databaseId}/external-accessPath parameters
| Name | Value |
|---|---|
projectId | Required resource ID from an earlier API response. |
databaseId | Required resource ID from an earlier API response. |
Example request
Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.
curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/databases/${DATABASE_ID}/external-access" \
--header "Authorization: Bearer $HCODE_API_KEY" Response
The JSON shape is defined in the response schema.
Response schema
{
"type": "object",
"properties": {
"externalEnabled": {
"type": "boolean"
},
"externalHost": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"externalPort": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"externalSlug": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [],
"additionalProperties": true
}See errors and retries for failure responses.